Skip to main content
PUT
/
snippet
/
variation
Update a snippet variation
curl --request PUT \
  --url https://www.getsnippets.ai/api/prompts/snippet/variation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "content": {
    "type": "plaintext",
    "content": "Hello, world!"
  }
}
'
{
  "success": true,
  "data": {
    "variationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "usage": {
    "remainingRequests": 123
  },
  "metadata": {
    "fieldsUpdated": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsnippets.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token. Include your API key in the Authorization header.

Query Parameters

variationId
string<uuid>
required

The ID of the variation to update

Body

application/json
name
string
Maximum string length: 100
content
object

Response

Variation updated successfully

success
boolean
Example:

true

data
object
usage
object
metadata
object